Support » Themes and Templates » [Resolved] [Theme: Gommero] It's broken?

[Resolved] [Theme: Gommero] It's broken?

  • I (attempted to?) activate the Gommero theme, and immediately every page of my site returns nothing but the error message:

    “Fatal error: Call to undefined function wp_get_theme() in /home/curatgln/public_html/wp-content/themes/gommero/functions/theme-options.php on line 9”

    no matter what I try to do, including log in. The front page, the login page, every page shows that, so I can’t even deactivate the theme.

    Help? Am I missing something obvious here?

Viewing 5 replies - 1 through 5 (of 5 total)
  • The function the error is referencing was introduced in WP 3.4 — are you running the current version of WP?

    I don’t think I am. The dashboard was offering me an upgrade, so I suppose not? But if not, I don’t know why not; I used a host with automatic install today.

    I haven’t had the site but half an hour.

    Try upgrading and see if the theme works any better — at any rate, you’re best off running the latest version.

    Ah. I don’t think I’m being clear.

    *I* can’t upgrade, because I can’t log in.


    And I installed the thing just today, with my host’s one-click, and why *it* didn’t install the latest version I don’t know, but I don’t know how to force it.

    I’m going to try wiping WP from my site and re-installing. Wish me luck.

    OK, that worked. Apparently the default is to install 3.3.2. I’ve upgraded.

    It just never occurred to me that something I installed an hour ago wouldn’t be the latest version, you know? And it’s bizarre that a theme can completely break an incarnation only one version back.

    I’m glad I didn’t have anything actually on the site yet.

    Thank you for your time.

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘[Resolved] [Theme: Gommero] It's broken?’ is closed to new replies.